<?php 

class AppAjax{
	
	protected static $_mensajeError = array();
	protected static $_redirigir = null;
	protected static $_refrescaGrid = array();
	protected static $_cargaEnDestino = array();
	
	protected static $_acciones = array();
	protected static $_valores = array();
	protected static $_esAjax = false;
	
	public static function setMensajeError($identificador, $mensaje){
		
		$entrada = array('id'=>$identificador, 'mensaje'=>$mensaje);
		self::$_mensajeError[] = $entrada;
		
	}
	public static function setValores($identificador , $valor){
		$entrada = array('id'=>$identificador, 'valor'=>utf8_encode($valor));
		self::$_valores[] = $entrada;
	}
	
	public static function addCargarEnDestino($identificador , $url){
		$entrada = array('id'=>$identificador, 'url'=>BASEURL.$url);
		self::$_cargaEnDestino[] = $entrada;
	}
	
	
	public static function setAccion($accion){
		self::$_acciones[] = array('accion' => $accion); 
	}
	
	public static function setRedirigir($value){
		self::$_redirigir = $value;
	}
	public static function addRefrescaGrid($filtro = 'body'){
		self::$_refrescaGrid[$filtro] = $filtro; 
	}
	
	public static function esAjax($value){
		self::$_esAjax = $value;
	}
	
	public static function conDatos(){
		//
		
		if( self::$_esAjax || count(self::$_mensajeError)>0||  count(self::$_cargaEnDestino)>0 || count(self::$_acciones)  || count(self::$_valores) || strlen(self::$_redirigir || count(self::$_refrescaGrid)>0))
			return true;
		
		return false;
	}
	public static function render(){
		
		$salida['m_error'] = self::$_mensajeError;
		$salida['m_accion'] = self::$_acciones;
		$salida['m_valor'] = self::$_valores;
		$salida['m_cargaEnDestino'] = self::$_cargaEnDestino;
		if(count(self::$_refrescaGrid)>0){
			$salida['m_refresca_grid'] = array();
			foreach (self::$_refrescaGrid as $value){
				$salida['m_refresca_grid'] = $value;
			}
			 
		}
			
		
		if(self::$_redirigir){
			$salida['redirigir'] = self::$_redirigir;
		}
		return Zend_Json::encode($salida);
	}
	
	
}